; ---USAGE---

; `python3 ok -q QUESTION`

; e.g. `python3 ok -q reverse-map`

;;; Discussion 15 - Final Review Part 2: Scheme and Regex ;;;


;;;;;;;;;;;;;;;;;;
;;;   Scheme   ;;;
;;;;;;;;;;;;;;;;;;


; Q2.1 - reverse-map
;;; Tests
; (define funcs (list (lambda (x) (- x 10)) (lambda (x) (* x 2)) (lambda (x) (integer? x))))
; expect funcs
; (reverse-map funcs 2)
; expect (-8 4 #t)
; (reverse-map funcs 16)
; expect (6 32 #t)

(define (reverse-map operators arg)
  'YOUR-CODE-HERE
)


; Q2.2 - backwards-sum
;;; Tests
; (backwards-sum '(1 2 3 4))
; expect (10 9 7 4)
; (backwards-sum '(2 -1 3 7))
; expect (11 9 10 7)

(define (backwards-sum lst)
  'YOUR-CODE-HERE
)


; Q2.3 - well-formed
;;; Tests
; (well-formed '())
; expect #t
; (well-formed '(1 2 3))
; expect #t

(define (well-formed lst)
  'YOUR-CODE-HERE
)


;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;   Tail Recursion   ;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;


; Q3.1 - slice
;;; Tests
; (slice '(0 1 2 3 4) 1 3)
; expect (1 2)
; (slice '(0 1 2 3 4) 3 5)
; expect (3 4)
; (slice '(0 1 2 3 4) 3 1)
; expect ()

(define (slice lst i j)
  'YOUR-CODE-HERE
)


; Q3.2 - slice-tail
;;; Tests
; (slice-tail '(0 1 2 3 4) 1 3)
; expect (1 2)
; (slice-tail '(0 1 2 3 4) 3 5)
; expect (3 4)
; (slice-tail '(0 1 2 3 4) 3 1)
; expect ()

(define (slice-tail lst i j)
  'YOUR-CODE-HERE
)


;;;;;;;;;;;;;;;;;;
;;;   Macros   ;;;
;;;;;;;;;;;;;;;;;;


; Q4.1 - and-odds
;;; Tests
; (and-odds '((= 10 10)))
; expect #t
; (and-odds '((= 1 2)))
; expect #f
; (and-odds '(#f #t #t))
; expect #f
; (and-odds '((< 5 3) (= 5 5)))
; expect #f
; (and-odds '((> 3 2) (< 5 0) (= 5 5)))
; expect #t
; (and-odds '((< 1 5) (< 5 2) (< 3 5) (< 5 3) (< 4 5)))
; expect #t
; (define a (list 1 #f 3))
; expect a
; (and-odds a)
; expect 3

(define-macro (and-odds exprs)
  'YOUR-CODE-HERE
)


; Q4.2 - eval-and-check
;;; Tests
; (eval-and-check #f #f #t)
; expect ok
; (eval-and-check (+ 2 3) (print 2) (> 2 3))
; expect 2
; expect fail
; (eval-and-check (define x 1) (print x) (> x 0))
; expect 1
; expect ok

(define-macro (eval-and-check expr1 expr2 expr3)
  'YOUR-CODE-HERE
)


; Q4.3 - eval-and-check-2
; (eval-and-check-2 #f #f #f #f #t)
; expect ok
; (eval-and-check-2 (print 2) (> 2 3))
; expect 2
; expect fail

(define-macro (eval-and-check-2 expr1 . args)
  'YOUR-CODE-HERE
)


; Q4.4 - zero-cond
; (zero-cond ((0 'wrong) ((- 1 1) 'wrong) ((* 1 1) 'correct!) (2 'wrong)))
; expect correct!

(define-macro (zero-cond conditions)
  'YOUR-CODE-HERE
)

